version: '3'
services:
  db:
    container_name: mariadb
    image: mariadb:10.5
    restart: 'unless-stopped'
    ports:
      - "3306:3306"
    volumes:
      - db-data:/var/lib/mysql
    environment:
      - MARIADB_ROOT_PASSWORD=root
      - MARIADB_DATABASE=db

  pma:
    container_name: phpmyadmin
    image: phpmyadmin/phpmyadmin
    depends_on:
      - db
    restart: 'no'
    ports:
      - "8080:80"
    environment:
      - PMA_USER=root
      - PMA_PASSWORD=root
      - UPLOAD_LIMIT=512M

  mailhog:
    container_name: mailhog
    image: mailhog/mailhog
    restart: 'no'
    ports:
      - "1025:1025" # smtp server
      - "8025:8025" # web ui

  website:
    container_name: laravel
    build:
      context: ./..
      dockerfile: .env-config/Dockerfile.dev.dock
    image: laravel
    depends_on:
      - db
    restart: 'no'
    ports:
      - "80:80"
    volumes:
      - ../storage:/app/storage
      - ../app:/app/app
#      - ../config:/app/config
#      - ../database:/app/database
#      - ../resources:/app/resources
#      - ../routes:/app/routes
    environment:
      - PHP_MEMORY_LIMIT=256M
      - FPM_PM_MAX_CHILDREN=36
      - FPM_PM_START_SERVERS=10
      - FPM_PM_MIN_SPARE_SERVERS=10
      - FPM_PM_MAX_SPARE_SERVERS=15
      - FPM_MAX_REQUESTS=0
      - PHP_POST_MAX_SIZE=512M
      - PHP_UPLOAD_MAX_FILESIZE=512M

volumes:
  db-data:
